# Dockerfile used by OSBS and by prow CI.
FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202103060100.p0 BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202103060100.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=1f0fd51 OS_GIT_VERSION=4.7.0-202103060100.p0-1f0fd51 SOURCE_DATE_EPOCH=1610995865 SOURCE_GIT_COMMIT=1f0fd51df863c8773d2094e4ca78b4bd14cbf6e6 SOURCE_GIT_TAG=v0.20.0-2355-g1f0fd51d SOURCE_GIT_URL=https://github.com/openshift/prometheus-operator 
WORKDIR /go/src/github.com/coreos/prometheus-operator
COPY . .
ENV GO111MODULE=on
ENV GOFLAGS="-mod=vendor"
RUN OS=$(go env GOOS) ARCH=$(go env GOARCH) make prometheus-config-reloader-no-deps

FROM openshift/ose-base:v4.7.0.20210306.014800
ENV __doozer=update BUILD_RELEASE=202103060100.p0 BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202103060100.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=1f0fd51 OS_GIT_VERSION=4.7.0-202103060100.p0-1f0fd51 SOURCE_DATE_EPOCH=1610995865 SOURCE_GIT_COMMIT=1f0fd51df863c8773d2094e4ca78b4bd14cbf6e6 SOURCE_GIT_TAG=v0.20.0-2355-g1f0fd51d SOURCE_GIT_URL=https://github.com/openshift/prometheus-operator 

COPY --from=builder /go/src/github.com/coreos/prometheus-operator/prometheus-config-reloader /usr/bin/
# doesn't require a root user.
USER 1001
ENTRYPOINT ["/usr/bin/prometheus-config-reloader"]

LABEL \
        io.k8s.display-name="Prometheus config reloader" \
        io.k8s.description="This component reloads a Prometheus server in a controlled and configurable way." \
        io.openshift.tags="prometheus" \
        summary="This component reloads a Prometheus server in a controlled and configurable way." \
        maintainer="OpenShift Monitoring Team <team-monitoring@redhat.com>" \
        License="ASL 2.0" \
        vendor="Red Hat" \
        name="openshift/ose-prometheus-config-reloader" \
        com.redhat.component="prometheus-config-reloader-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Monitoring" \
        release="202103060100.p0" \
        io.openshift.build.commit.id="1f0fd51df863c8773d2094e4ca78b4bd14cbf6e6" \
        io.openshift.build.source-location="https://github.com/openshift/prometheus-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/prometheus-operator/commit/1f0fd51df863c8773d2094e4ca78b4bd14cbf6e6" \
        version="v4.7.0"

